Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.manager.entitlements
Class PortalEntitlementHelper

    java.lang.Object
      |
      +--com.bea.netuix.application.manager.entitlements.PortalEntitlementHelper

public class PortalEntitlementHelper
extends Object

PortalEntitlementHelper

Field Summary
`static String` | `CLONE`
`static String` | `CREATE`
`protected static Debug` | `debug`
`protected static Debug` | `debugBook`
`protected static Debug` | `debugDesktop`
`protected static Debug` | `debugLNF`
`protected static Debug` | `debugPage`
`protected static Debug` | `debugPlaceholder`
`protected static Debug` | `debugPortal`
`protected static Debug` | `debugPortlet`
`protected static Debug` | `debugPortletCategory`
`static String` | `DELETE`
`static String` | `UPDATE`
`static String` | `VIEW`

Constructor Summary
`PortalEntitlementHelper()`

Method Summary
`static boolean` | `checkBookAddNavigable(CustomizationContext customizationContext, String label)`
`static boolean` | `checkBookClone(CustomizationContext customizationContext, String label)`
`static boolean` | `checkBookCreate(CustomizationContext customizationContext)`
`static boolean` | `checkBookDelete(CustomizationContext customizationContext, String label)`
`static boolean` | `checkBookRemoveNavigable(CustomizationContext customizationContext, String label)`
`static boolean` | `checkBookUpdate(CustomizationContext customizationContext, BookDefinition bookDefinition)`
`static boolean` | `checkDesktopClone(CustomizationContext customizationContext, DesktopDefinitionId desktopDefinitionId)`
`static boolean` | `checkDesktopCreate(CustomizationContext customizationContext, String webAppName)`
`static boolean` | `checkDesktopDelete(CustomizationContext customizationContext, DesktopDefinitionId desktopDefinitionId)`
`static boolean` | `checkDesktopUpdate(CustomizationContext customizationContext, DesktopDefinition desktopDefinition)`
`static boolean` | `checkLayoutCreate(CustomizationContext customizationContext)`
`static boolean` | `checkLayoutDelete(CustomizationContext customizationContext, LayoutDefinitionId layoutId)`
`static boolean` | `checkLayoutUpdate(CustomizationContext customizationContext, LayoutDefinition layoutDefinition)`
`static boolean` | `checkLookAndFeelCreate(CustomizationContext customizationContext)`
`static boolean` | `checkLookAndFeelDelete(CustomizationContext customizationContext, String label)`
`static boolean` | `checkLookAndFeelUpdate(CustomizationContext customizationContext, LookAndFeelDefinition lnfDefinition)`
`static boolean` | `checkMarkupCreate(CustomizationContext customizationContext)`
`static boolean` | `checkMarkupDelete(CustomizationContext customizationContext, MarkupDefinitionId markupId)`
`static boolean` | `checkMarkupUpdate(CustomizationContext customizationContext, MarkupDefinition markupDefinition)`
`static boolean` | `checkMenuCreate(CustomizationContext customizationContext)`
`static boolean` | `checkMenuDelete(CustomizationContext customizationContext, MenuDefinitionId menuId)`
`static boolean` | `checkMenuUpdate(CustomizationContext customizationContext, MenuDefinition menuDefinition)`
`static boolean` | `checkPageAddPlaceable(CustomizationContext customizationContext, String label)`
`static boolean` | `checkPageClone(CustomizationContext customizationContext, String label)`
`static boolean` | `checkPageCreate(CustomizationContext customizationContext)`
`static boolean` | `checkPageDelete(CustomizationContext customizationContext, String label)`
`static boolean` | `checkPageMovePlaceable(CustomizationContext customizationContext, String label)`
`static boolean` | `checkPageRemovePlaceable(CustomizationContext customizationContext, String label)`
`static boolean` | `checkPageUpdate(CustomizationContext customizationContext, PageDefinition pageDefinition)`
`static boolean` | `checkPlaceholderClone(CustomizationContext customizationContext, PageDefinitionId pageDefinitionId, PlaceholderDefinitionId placeholderDefinitionId)`
`static boolean` | `checkPlaceholderCreate(CustomizationContext customizationContext, PageDefinitionId pageDefinitionId)`
`static boolean` | `checkPlaceholderDelete(CustomizationContext customizationContext, PageDefinitionId pageDefinitionId, PlaceholderDefinitionId placeholderDefinitionId)`
`static boolean` | `checkPlaceholderUpdate(CustomizationContext customizationContext, PageDefinitionId pageDefinitionId, PlaceholderDefinition placeholderDefinition)`
`static boolean` | `checkPlaceholderUpdate(CustomizationContext customizationContext, PageDefinitionId pageDefinitionId, PlaceholderDefinitionId placeholderDefinitionId)`
`static boolean` | `checkPlaceholderUpdate(CustomizationContext customizationContext, PlacementId placementId, PlaceholderDefinitionId placeholderDefinitionId)`
`static boolean` | `checkPortalClone(CustomizationContext customizationContext, PortalPath pp, String webAppName)`
`static boolean` | `checkPortalCreate(CustomizationContext customizationContext, String webAppName)`
`static boolean` | `checkPortalDelete(CustomizationContext customizationContext, PortalPath pp, String webAppName)`
`static boolean` | `checkPortalUpdate(CustomizationContext customizationContext, PortalDefinition portalDefinition, String webAppName)`
`static boolean` | `checkPortalUpdate(CustomizationContext customizationContext, PortalPath pp, String webAppName)`
`static boolean` | `checkPortletCategoryClone(CustomizationContext customizationContext, PortletCategoryDefinitionId portletId)`
`static boolean` | `checkPortletCategoryCreate(CustomizationContext customizationContext)`
`static boolean` | `checkPortletCategoryDelete(CustomizationContext customizationContext, PortletCategoryDefinitionId portletId)`
`static boolean` | `checkPortletCategoryUpdate(CustomizationContext customizationContext, PortletCategoryDefinition portletDefinition)`
`static boolean` | `checkPortletCategoryUpdate(CustomizationContext customizationContext, PortletCategoryDefinitionId portletDefinitionId)`
`static boolean` | `checkPortletClone(CustomizationContext customizationContext, String label)`
`static boolean` | `checkPortletCreate(CustomizationContext customizationContext)`
`static boolean` | `checkPortletDelete(CustomizationContext customizationContext, String label)`
`static boolean` | `checkPortletUpdate(CustomizationContext customizationContext, PortletDefinition portletDefinition)`
`static boolean` | `checkShellCreate(CustomizationContext customizationContext)`
`static boolean` | `checkShellDelete(CustomizationContext customizationContext, ShellDefinitionId shellId)`
`static boolean` | `checkShellUpdate(CustomizationContext customizationContext, ShellDefinition shellDefinition)`
`static PortalEntitlementResource` | `createBookDefinitionResource(EntitlementRequest er, String label, String capability)`
`static PortalEntitlementResource` | `createBookDefinitionResource(String webAppName, String label, String capability)`
`static PortalEntitlementResource` | `createDesktopDefinitionResource(EntitlementRequest er, DesktopDefinition desktopDefinition, String capability)`
`static PortalEntitlementResource` | `createDesktopDefinitionResource(EntitlementRequest er, String desktopLabel, String capability)`
`static PortalEntitlementResource` | `createDesktopDefinitionResource(String webAppName, DesktopDefinition desktopDefinition, String capability)`
`static PortalEntitlementResource` | `createDesktopDefinitionResource(String webAppName, String desktopLabel, String capability)`
`static PortalEntitlementResource` | `createLookAndFeelDefinitionResource(EntitlementRequest er, String label, String capability)`
`static PortalEntitlementResource` | `createLookAndFeelDefinitionResource(String webAppName, String label, String capability)`
`static PortalEntitlementResource` | `createPageDefinitionResource(EntitlementRequest er, String label, String capability)`
`static PortalEntitlementResource` | `createPageDefinitionResource(String webAppName, String label, String capability)`
`static PortalEntitlementResource` | `createPlaceholderDefinitionResource(EntitlementRequest er, CustomizationContext customizationContext, PlacementId placementId, PlaceholderDefinitionId placeholderDefinitionId, String capability)`
`static PortalEntitlementResource` | `createPlaceholderDefinitionResource(EntitlementRequest er, PageDefinitionId pageDefinitionId, PlaceholderDefinitionId placeholderDefinitionId, String capability)`
`static PortalEntitlementResource` | `createPlaceholderDefinitionResource(String webAppName, PageDefinitionId pageDefinitionId, PlaceholderDefinitionId placeholderDefinitionId, String capability)`
`static PortalEntitlementResource` | `createPlaceholderDefinitionResource(String webAppName, PageDefinitionId pageDefinitionId, PlaceholderDefinition placeholderDefinition, String capability)`
`static PortalEntitlementResource` | `createPortalDefinitionResource(EntitlementRequest er, PortalPath portalPath, String capability)`
`static PortalEntitlementResource` | `createPortalDefinitionResource(String webAppName, PortalPath portalPath, String capability)`
`static PortalEntitlementResource` | `createPortletCategoryDefinitionResource(EntitlementRequest er, PortletCategoryDefinitionId portletId, String capability)`
`static PortalEntitlementResource` | `createPortletCategoryDefinitionResource(String webAppName, PortletCategoryDefinitionId portletId, String capability)`
`static PortalEntitlementResource` | `createPortletCategoryDefinitionResource(String webAppName, String portletId, String capability)`
`static PortalEntitlementResource` | `createPortletDefinitionResource(EntitlementRequest er, String label, String capability)`
`static PortalEntitlementResource` | `createPortletDefinitionResource(String webAppName, String label, String capability)`
`static BookDefinition` | `filterBookDefinition(CustomizationContext cc, BookDefinition bookDefinition)`
`static BookDefinition[]` | `filterBookDefinitions(CustomizationContext cc, BookDefinition[] bookDefinitions)`
`static DesktopDefinition` | `filterDesktopDefinition(CustomizationContext cc, DesktopDefinition desktopDefinition)`
`static DesktopDefinition[]` | `filterDesktopDefinitions(CustomizationContext cc, DesktopDefinition[] desktopDefinitions, String webAppName)`
`static LayoutDefinition` | `filterLayoutDefinition(CustomizationContext cc, LayoutDefinition layoutDefinition)`
`static LayoutDefinitionId` | `filterLayoutDefinitionId(CustomizationContext cc, LayoutDefinitionId layoutDefinitionId)`
`static LayoutDefinition[]` | `filterLayoutDefinitions(CustomizationContext cc, LayoutDefinition[] layoutDefinitions)`
`static LookAndFeelDefinition` | `filterLookAndFeelDefinition(CustomizationContext cc, LookAndFeelDefinition lnfDefinition)`
`static LookAndFeelDefinitionId` | `filterLookAndFeelDefinitionId(CustomizationContext cc, LookAndFeelDefinition definition)`
`static LookAndFeelDefinition[]` | `filterLookAndFeelDefinitions(CustomizationContext cc, LookAndFeelDefinition[] lnfDefinitions)`
`static MarkupDefinition` | `filterMarkupDefinition(CustomizationContext cc, MarkupDefinition markupDefinition)`
`static MarkupDefinitionId` | `filterMarkupDefinitionId(CustomizationContext cc, MarkupDefinitionId markupDefinitionId)`
`static MarkupDefinition[]` | `filterMarkupDefinitions(CustomizationContext cc, MarkupDefinition[] markupDefinitions)`
`static MenuDefinition` | `filterMenuDefinition(CustomizationContext cc, MenuDefinition menuDefinition)`
`static MenuDefinitionId` | `filterMenuDefinitionId(CustomizationContext cc, MenuDefinitionId menuDefinitionId)`
`static MenuDefinition[]` | `filterMenuDefinitions(CustomizationContext cc, MenuDefinition[] menuDefinitions)`
`static PageDefinition` | `filterPageDefinition(CustomizationContext cc, PageDefinition pageDefinition)`
`static PageDefinition[]` | `filterPageDefinitions(CustomizationContext cc, PageDefinition[] pageDefinitions)`
`static PortalDefinition` | `filterPortalDefinition(CustomizationContext cc, PortalDefinition portalDefinition, String webAppName)`
`static PortalDefinition[]` | `filterPortalDefinitions(CustomizationContext cc, PortalDefinition[] portalDefinitions, String webAppName)`
`static PortalPath` | `filterPortalPath(CustomizationContext cc, PortalPath pp, String webAppName)`
`static PortalPath[]` | `filterPortalPaths(CustomizationContext cc, PortalPath[] pps, String webAppName)`
`static PortletCategoryDefinition` | `filterPortletCategoryDefinition(CustomizationContext cc, PortletCategoryDefinition portletDefinition)`
`static PortletCategoryDefinitionId` | `filterPortletCategoryDefinitionId(CustomizationContext cc, PortletCategoryDefinitionId pcdId)`
`static PortletCategoryDefinitionId[]` | `filterPortletCategoryDefinitionIds(CustomizationContext cc, PortletCategoryDefinitionId[] pcdIds)`
`static PortletCategoryDefinition[]` | `filterPortletCategoryDefinitions(CustomizationContext cc, PortletCategoryDefinition[] portletDefinitions)`
`static PortletDefinition` | `filterPortletDefinition(CustomizationContext cc, PortletDefinition portletDefinition)`
`static PortletDefinition[]` | `filterPortletDefinitions(CustomizationContext cc, PortletDefinition[] portletDefinitions)`
`static ShellDefinition` | `filterShellDefinition(CustomizationContext cc, ShellDefinition shellDefinition)`
`static ShellDefinitionId` | `filterShellDefinitionId(CustomizationContext cc, ShellDefinitionId shellDefinitionId)`
`static ShellDefinition[]` | `filterShellDefinitions(CustomizationContext cc, ShellDefinition[] shellDefinitions)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### debug

    protected static Debug debug

### debugPortlet

    protected static Debug debugPortlet

### debugPortletCategory

    protected static Debug debugPortletCategory

### debugPortal

    protected static Debug debugPortal

### debugDesktop

    protected static Debug debugDesktop

### debugBook

    protected static Debug debugBook

### debugPage

    protected static Debug debugPage

### debugLNF

    protected static Debug debugLNF

### debugPlaceholder

    protected static Debug debugPlaceholder

### UPDATE

    public static final String UPDATE

See Also:
  Constant Field Values

### VIEW

    public static final String VIEW

See Also:
  Constant Field Values

### CREATE

    public static final String CREATE

See Also:
  Constant Field Values

### CLONE

    public static final String CLONE

See Also:
  Constant Field Values

### DELETE

    public static final String DELETE

See Also:
  Constant Field Values

Constructor Detail

### PortalEntitlementHelper

    public PortalEntitlementHelper()

Method Detail

### createDesktopDefinitionResource

    public static PortalEntitlementResource createDesktopDefinitionResource(EntitlementRequest er,
                                                                            DesktopDefinition desktopDefinition,
                                                                            String capability)

### createDesktopDefinitionResource

    public static PortalEntitlementResource createDesktopDefinitionResource(String webAppName,
                                                                            DesktopDefinition desktopDefinition,
                                                                            String capability)

### createDesktopDefinitionResource

    public static PortalEntitlementResource createDesktopDefinitionResource(EntitlementRequest er,
                                                                            String desktopLabel,
                                                                            String capability)

### createDesktopDefinitionResource

    public static PortalEntitlementResource createDesktopDefinitionResource(String webAppName,
                                                                            String desktopLabel,
                                                                            String capability)

### filterDesktopDefinition

    public static DesktopDefinition filterDesktopDefinition(CustomizationContext cc,
                                                            DesktopDefinition desktopDefinition)

### filterDesktopDefinitions

    public static DesktopDefinition[] filterDesktopDefinitions(CustomizationContext cc,
                                                               DesktopDefinition[] desktopDefinitions,
                                                               String webAppName)

### checkDesktopDelete

    public static boolean checkDesktopDelete(CustomizationContext customizationContext,
                                             DesktopDefinitionId desktopDefinitionId)

### checkDesktopUpdate

    public static boolean checkDesktopUpdate(CustomizationContext customizationContext,
                                             DesktopDefinition desktopDefinition)

### checkDesktopCreate

    public static boolean checkDesktopCreate(CustomizationContext customizationContext,
                                             String webAppName)

### checkDesktopClone

    public static boolean checkDesktopClone(CustomizationContext customizationContext,
                                            DesktopDefinitionId desktopDefinitionId)

### createBookDefinitionResource

    public static PortalEntitlementResource createBookDefinitionResource(EntitlementRequest er,
                                                                         String label,
                                                                         String capability)

### createBookDefinitionResource

    public static PortalEntitlementResource createBookDefinitionResource(String webAppName,
                                                                         String label,
                                                                         String capability)

### filterBookDefinition

    public static BookDefinition filterBookDefinition(CustomizationContext cc,
                                                      BookDefinition bookDefinition)

### filterBookDefinitions

    public static BookDefinition[] filterBookDefinitions(CustomizationContext cc,
                                                         BookDefinition[] bookDefinitions)

### checkBookDelete

    public static boolean checkBookDelete(CustomizationContext customizationContext,
                                          String label)

### checkBookUpdate

    public static boolean checkBookUpdate(CustomizationContext customizationContext,
                                          BookDefinition bookDefinition)

### checkBookAddNavigable

    public static boolean checkBookAddNavigable(CustomizationContext customizationContext,
                                                String label)

### checkBookRemoveNavigable

    public static boolean checkBookRemoveNavigable(CustomizationContext customizationContext,
                                                   String label)

### checkBookCreate

    public static boolean checkBookCreate(CustomizationContext customizationContext)

### checkBookClone

    public static boolean checkBookClone(CustomizationContext customizationContext,
                                         String label)

### filterMenuDefinitionId

    public static MenuDefinitionId filterMenuDefinitionId(CustomizationContext cc,
                                                          MenuDefinitionId menuDefinitionId)

### filterMenuDefinition

    public static MenuDefinition filterMenuDefinition(CustomizationContext cc,
                                                      MenuDefinition menuDefinition)

### filterMenuDefinitions

    public static MenuDefinition[] filterMenuDefinitions(CustomizationContext cc,
                                                         MenuDefinition[] menuDefinitions)

### checkMenuCreate

    public static boolean checkMenuCreate(CustomizationContext customizationContext)

### checkMenuDelete

    public static boolean checkMenuDelete(CustomizationContext customizationContext,
                                          MenuDefinitionId menuId)

### checkMenuUpdate

    public static boolean checkMenuUpdate(CustomizationContext customizationContext,
                                          MenuDefinition menuDefinition)

### createPageDefinitionResource

    public static PortalEntitlementResource createPageDefinitionResource(EntitlementRequest er,
                                                                         String label,
                                                                         String capability)

### createPageDefinitionResource

    public static PortalEntitlementResource createPageDefinitionResource(String webAppName,
                                                                         String label,
                                                                         String capability)

### filterPageDefinition

    public static PageDefinition filterPageDefinition(CustomizationContext cc,
                                                      PageDefinition pageDefinition)

### filterPageDefinitions

    public static PageDefinition[] filterPageDefinitions(CustomizationContext cc,
                                                         PageDefinition[] pageDefinitions)

### checkPageDelete

    public static boolean checkPageDelete(CustomizationContext customizationContext,
                                          String label)

### checkPageUpdate

    public static boolean checkPageUpdate(CustomizationContext customizationContext,
                                          PageDefinition pageDefinition)

### checkPageAddPlaceable

    public static boolean checkPageAddPlaceable(CustomizationContext customizationContext,
                                                String label)

### checkPageRemovePlaceable

    public static boolean checkPageRemovePlaceable(CustomizationContext customizationContext,
                                                   String label)

### checkPageMovePlaceable

    public static boolean checkPageMovePlaceable(CustomizationContext customizationContext,
                                                 String label)

### checkPageCreate

    public static boolean checkPageCreate(CustomizationContext customizationContext)

### checkPageClone

    public static boolean checkPageClone(CustomizationContext customizationContext,
                                         String label)

### filterLayoutDefinitionId

    public static LayoutDefinitionId filterLayoutDefinitionId(CustomizationContext cc,
                                                              LayoutDefinitionId layoutDefinitionId)

### filterLayoutDefinition

    public static LayoutDefinition filterLayoutDefinition(CustomizationContext cc,
                                                          LayoutDefinition layoutDefinition)

### filterLayoutDefinitions

    public static LayoutDefinition[] filterLayoutDefinitions(CustomizationContext cc,
                                                             LayoutDefinition[] layoutDefinitions)

### checkLayoutCreate

    public static boolean checkLayoutCreate(CustomizationContext customizationContext)

### checkLayoutDelete

    public static boolean checkLayoutDelete(CustomizationContext customizationContext,
                                            LayoutDefinitionId layoutId)

### checkLayoutUpdate

    public static boolean checkLayoutUpdate(CustomizationContext customizationContext,
                                            LayoutDefinition layoutDefinition)

### filterShellDefinitionId

    public static ShellDefinitionId filterShellDefinitionId(CustomizationContext cc,
                                                            ShellDefinitionId shellDefinitionId)

### filterShellDefinition

    public static ShellDefinition filterShellDefinition(CustomizationContext cc,
                                                        ShellDefinition shellDefinition)

### filterShellDefinitions

    public static ShellDefinition[] filterShellDefinitions(CustomizationContext cc,
                                                           ShellDefinition[] shellDefinitions)

### checkShellCreate

    public static boolean checkShellCreate(CustomizationContext customizationContext)

### checkShellDelete

    public static boolean checkShellDelete(CustomizationContext customizationContext,
                                           ShellDefinitionId shellId)

### checkShellUpdate

    public static boolean checkShellUpdate(CustomizationContext customizationContext,
                                           ShellDefinition shellDefinition)

### createLookAndFeelDefinitionResource

    public static PortalEntitlementResource createLookAndFeelDefinitionResource(EntitlementRequest er,
                                                                                String label,
                                                                                String capability)

### createLookAndFeelDefinitionResource

    public static PortalEntitlementResource createLookAndFeelDefinitionResource(String webAppName,
                                                                                String label,
                                                                                String capability)

### filterLookAndFeelDefinitionId

    public static LookAndFeelDefinitionId filterLookAndFeelDefinitionId(CustomizationContext cc,
                                                                        LookAndFeelDefinition definition)

### filterLookAndFeelDefinition

    public static LookAndFeelDefinition filterLookAndFeelDefinition(CustomizationContext cc,
                                                                    LookAndFeelDefinition lnfDefinition)

### filterLookAndFeelDefinitions

    public static LookAndFeelDefinition[] filterLookAndFeelDefinitions(CustomizationContext cc,
                                                                       LookAndFeelDefinition[] lnfDefinitions)

### checkLookAndFeelCreate

    public static boolean checkLookAndFeelCreate(CustomizationContext customizationContext)

### checkLookAndFeelDelete

    public static boolean checkLookAndFeelDelete(CustomizationContext customizationContext,
                                                 String label)

### checkLookAndFeelUpdate

    public static boolean checkLookAndFeelUpdate(CustomizationContext customizationContext,
                                                 LookAndFeelDefinition lnfDefinition)

### filterMarkupDefinitionId

    public static MarkupDefinitionId filterMarkupDefinitionId(CustomizationContext cc,
                                                              MarkupDefinitionId markupDefinitionId)

### filterMarkupDefinition

    public static MarkupDefinition filterMarkupDefinition(CustomizationContext cc,
                                                          MarkupDefinition markupDefinition)

### filterMarkupDefinitions

    public static MarkupDefinition[] filterMarkupDefinitions(CustomizationContext cc,
                                                             MarkupDefinition[] markupDefinitions)

### checkMarkupCreate

    public static boolean checkMarkupCreate(CustomizationContext customizationContext)

### checkMarkupDelete

    public static boolean checkMarkupDelete(CustomizationContext customizationContext,
                                            MarkupDefinitionId markupId)

### checkMarkupUpdate

    public static boolean checkMarkupUpdate(CustomizationContext customizationContext,
                                            MarkupDefinition markupDefinition)

### createPortletDefinitionResource

    public static PortalEntitlementResource createPortletDefinitionResource(EntitlementRequest er,
                                                                            String label,
                                                                            String capability)

### createPortletDefinitionResource

    public static PortalEntitlementResource createPortletDefinitionResource(String webAppName,
                                                                            String label,
                                                                            String capability)

### filterPortletDefinition

    public static PortletDefinition filterPortletDefinition(CustomizationContext cc,
                                                            PortletDefinition portletDefinition)
                                                     throws Exception

    `Exception`

### filterPortletDefinitions

    public static PortletDefinition[] filterPortletDefinitions(CustomizationContext cc,
                                                               PortletDefinition[] portletDefinitions)
                                                        throws Exception

    `Exception`

### checkPortletDelete

    public static boolean checkPortletDelete(CustomizationContext customizationContext,
                                             String label)

### checkPortletUpdate

    public static boolean checkPortletUpdate(CustomizationContext customizationContext,
                                             PortletDefinition portletDefinition)

### checkPortletCreate

    public static boolean checkPortletCreate(CustomizationContext customizationContext)

### checkPortletClone

    public static boolean checkPortletClone(CustomizationContext customizationContext,
                                            String label)

### createPortletCategoryDefinitionResource

    public static PortalEntitlementResource createPortletCategoryDefinitionResource(EntitlementRequest er,
                                                                                    PortletCategoryDefinitionId portletId,
                                                                                    String capability)

### createPortletCategoryDefinitionResource

    public static PortalEntitlementResource createPortletCategoryDefinitionResource(String webAppName,
                                                                                    PortletCategoryDefinitionId portletId,
                                                                                    String capability)

### createPortletCategoryDefinitionResource

    public static PortalEntitlementResource createPortletCategoryDefinitionResource(String webAppName,
                                                                                    String portletId,
                                                                                    String capability)

### filterPortletCategoryDefinitionId

    public static PortletCategoryDefinitionId filterPortletCategoryDefinitionId(CustomizationContext cc,
                                                                                PortletCategoryDefinitionId pcdId)

### filterPortletCategoryDefinitionIds

    public static PortletCategoryDefinitionId[] filterPortletCategoryDefinitionIds(CustomizationContext cc,
                                                                                   PortletCategoryDefinitionId[] pcdIds)

### filterPortletCategoryDefinition

    public static PortletCategoryDefinition filterPortletCategoryDefinition(CustomizationContext cc,
                                                                            PortletCategoryDefinition portletDefinition)

### filterPortletCategoryDefinitions

    public static PortletCategoryDefinition[] filterPortletCategoryDefinitions(CustomizationContext cc,
                                                                               PortletCategoryDefinition[] portletDefinitions)

### checkPortletCategoryDelete

    public static boolean checkPortletCategoryDelete(CustomizationContext customizationContext,
                                                     PortletCategoryDefinitionId portletId)

### checkPortletCategoryUpdate

    public static boolean checkPortletCategoryUpdate(CustomizationContext customizationContext,
                                                     PortletCategoryDefinition portletDefinition)

### checkPortletCategoryUpdate

    public static boolean checkPortletCategoryUpdate(CustomizationContext customizationContext,
                                                     PortletCategoryDefinitionId portletDefinitionId)

### checkPortletCategoryCreate

    public static boolean checkPortletCategoryCreate(CustomizationContext customizationContext)

### checkPortletCategoryClone

    public static boolean checkPortletCategoryClone(CustomizationContext customizationContext,
                                                    PortletCategoryDefinitionId portletId)

### createPortalDefinitionResource

    public static PortalEntitlementResource createPortalDefinitionResource(EntitlementRequest er,
                                                                           PortalPath portalPath,
                                                                           String capability)

### createPortalDefinitionResource

    public static PortalEntitlementResource createPortalDefinitionResource(String webAppName,
                                                                           PortalPath portalPath,
                                                                           String capability)

### filterPortalPath

    public static PortalPath filterPortalPath(CustomizationContext cc,
                                              PortalPath pp,
                                              String webAppName)

### filterPortalPaths

    public static PortalPath[] filterPortalPaths(CustomizationContext cc,
                                                 PortalPath[] pps,
                                                 String webAppName)

### filterPortalDefinition

    public static PortalDefinition filterPortalDefinition(CustomizationContext cc,
                                                          PortalDefinition portalDefinition,
                                                          String webAppName)

### filterPortalDefinitions

    public static PortalDefinition[] filterPortalDefinitions(CustomizationContext cc,
                                                             PortalDefinition[] portalDefinitions,
                                                             String webAppName)

### checkPortalDelete

    public static boolean checkPortalDelete(CustomizationContext customizationContext,
                                            PortalPath pp,
                                            String webAppName)

### checkPortalUpdate

    public static boolean checkPortalUpdate(CustomizationContext customizationContext,
                                            PortalDefinition portalDefinition,
                                            String webAppName)

### checkPortalUpdate

    public static boolean checkPortalUpdate(CustomizationContext customizationContext,
                                            PortalPath pp,
                                            String webAppName)

### checkPortalCreate

    public static boolean checkPortalCreate(CustomizationContext customizationContext,
                                            String webAppName)

### checkPortalClone

    public static boolean checkPortalClone(CustomizationContext customizationContext,
                                           PortalPath pp,
                                           String webAppName)

### createPlaceholderDefinitionResource

    public static PortalEntitlementResource createPlaceholderDefinitionResource(EntitlementRequest er,
                                                                                PageDefinitionId pageDefinitionId,
                                                                                PlaceholderDefinitionId placeholderDefinitionId,
                                                                                String capability)

### createPlaceholderDefinitionResource

    public static PortalEntitlementResource createPlaceholderDefinitionResource(EntitlementRequest er,
                                                                                CustomizationContext customizationContext,
                                                                                PlacementId placementId,
                                                                                PlaceholderDefinitionId placeholderDefinitionId,
                                                                                String capability)
                                                                         throws Exception

    `Exception`

### createPlaceholderDefinitionResource

    public static PortalEntitlementResource createPlaceholderDefinitionResource(String webAppName,
                                                                                PageDefinitionId pageDefinitionId,
                                                                                PlaceholderDefinition placeholderDefinition,
                                                                                String capability)

### createPlaceholderDefinitionResource

    public static PortalEntitlementResource createPlaceholderDefinitionResource(String webAppName,
                                                                                PageDefinitionId pageDefinitionId,
                                                                                PlaceholderDefinitionId placeholderDefinitionId,
                                                                                String capability)

### checkPlaceholderDelete

    public static boolean checkPlaceholderDelete(CustomizationContext customizationContext,
                                                 PageDefinitionId pageDefinitionId,
                                                 PlaceholderDefinitionId placeholderDefinitionId)

### checkPlaceholderUpdate

    public static boolean checkPlaceholderUpdate(CustomizationContext customizationContext,
                                                 PageDefinitionId pageDefinitionId,
                                                 PlaceholderDefinition placeholderDefinition)

### checkPlaceholderUpdate

    public static boolean checkPlaceholderUpdate(CustomizationContext customizationContext,
                                                 PageDefinitionId pageDefinitionId,
                                                 PlaceholderDefinitionId placeholderDefinitionId)

### checkPlaceholderUpdate

    public static boolean checkPlaceholderUpdate(CustomizationContext customizationContext,
                                                 PlacementId placementId,
                                                 PlaceholderDefinitionId placeholderDefinitionId)
                                          throws RemoteException

    `RemoteException`

### checkPlaceholderCreate

    public static boolean checkPlaceholderCreate(CustomizationContext customizationContext,
                                                 PageDefinitionId pageDefinitionId)

### checkPlaceholderClone

    public static boolean checkPlaceholderClone(CustomizationContext customizationContext,
                                                PageDefinitionId pageDefinitionId,
                                                PlaceholderDefinitionId placeholderDefinitionId)

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved